"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var base_1 = require("../base");
var layout_1 = require("../layout");
var Chip = /** @class */ (function (_super) {
    __extends(Chip, _super);
    function Chip() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Chip.prototype.render = function () {
        var props = this.props;
        return (React.createElement("div", { className: 'rac-chip' },
            React.createElement(layout_1.FlexLayout, { row: true, alignItemsCenter: true },
                React.createElement("span", { className: 'rac-chip-description rac-overflow-ellipsis', title: String(props.children) }, props.children),
                this.uiFactory.makeIcon({
                    type: 'close',
                    disabled: props.disabled,
                    onClick: props.onClick,
                }))));
    };
    return Chip;
}(base_1.BaseComponent));
exports.Chip = Chip;
//# sourceMappingURL=chip.component.js.map