/// <reference types="react" />
import { BaseCheckbox } from '../checkbox';
import { ISwitchProps, ISwitchState, ISwitchInputProps } from './switch.interface';
export declare class Switch extends BaseCheckbox<ISwitchProps, ISwitchState> {
    /**
     * @stable [31.08.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [31.08.2018]
     * @returns {ISwitchInputProps}
     */
    protected getInputElementProps(): ISwitchInputProps;
    /**
     * @stable [31.08.2018]
     * @returns {string}
     */
    protected getFieldClassName(): string;
    /**
     * @stable [31.08.2018]
     * @returns {JSX.Element}
     */
    protected getSelfElementClassName(): string;
    /**
     * @stable [31.08.2018]
     * @returns {JSX.Element}
     */
    private getAttachmentElement;
}
