"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var grid_component_1 = require("./grid.component");
var list_1 = require("../list");
var GridContainer = /** @class */ (function (_super) {
    __extends(GridContainer, _super);
    /**
     * @stable [06.06.2018]
     * @param {IGridContainerProps} props
     */
    function GridContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onChangeSorting = _this.onChangeSorting.bind(_this);
        return _this;
    }
    /**
     * @stable [05.06.2018]
     * @returns {JSX.Element}
     */
    GridContainer.prototype.render = function () {
        return React.createElement(grid_component_1.Grid, __assign({ onChangeSorting: this.onChangeSorting }, this.getComponentProps(), this.props.gridConfiguration));
    };
    /**
     * @stable [06.06.2018]
     * @param {ISortDirectionEntity} sortDirectionEntity
     */
    GridContainer.prototype.onChangeSorting = function (sortDirectionEntity) {
        var payloadWrapper = { payload: sortDirectionEntity };
        this.dispatch(list_1.LIST_CHANGE_SORT_DIRECTION_ACTION_TYPE, payloadWrapper);
    };
    return GridContainer;
}(list_1.UniversalBaseListContainer));
exports.GridContainer = GridContainer;
//# sourceMappingURL=grid.container.js.map