/// <reference types="react" />
import { UniversalContainer } from '../../base/universal.container';
import { IRnDefaultLayoutContainerProps, IRnDefaultLayoutContainer } from './rn-default-layout.interface';
export declare class RnDefaultLayoutContainer extends UniversalContainer<IRnDefaultLayoutContainerProps> implements IRnDefaultLayoutContainer {
    static defaultProps: IRnDefaultLayoutContainerProps;
    private drawer;
    /**
     * @stable [27.04.2018]
     * @param {IRnDefaultLayoutContainerProps} props
     */
    constructor(props: IRnDefaultLayoutContainerProps);
    /**
     * @stable [27.04.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [27.04.2018]
     */
    openDrawer(): void;
    /**
     * @stable [27.04.2018]
     */
    closeDrawer(): void;
}
