"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ts_smart_logger_1 = require("ts-smart-logger");
var env_1 = require("../env");
ts_smart_logger_1.LoggerFactory.configure({
    debugLevelPath: '[^TransportFactory|^EffectsService|^RouterEffects|^connector.decorator]',
    warnLevelPath: '[^EffectsService]',
    logLevel: env_1.ENV.prodMode ? ts_smart_logger_1.LoggerLevelEnum.ERROR_LEVEL : ts_smart_logger_1.LoggerLevelEnum.DEBUG_LEVEL,
});
//# sourceMappingURL=log.module.js.map