"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var di_1 = require("../../di");
var action_builder_1 = require("../../component/action.builder");
var middleware_1 = require("../middleware");
/**
 * @stable [18.02.2019]
 * @param {IRefreshedListOnValidFormMiddlewareConfig} config
 * @returns {() => void}
 */
exports.makeRefreshedListOnValidFormEffectsProxy = function (config) {
    var listSection = config.listSection;
    return function () {
        var Effects = /** @class */ (function () {
            function Effects() {
            }
            Effects_1 = Effects;
            /**
             * @stable [03.12.2018]
             * @param {IEffectsAction} action
             * @returns {IEffectsAction[]}
             */
            Effects.prototype.$onFormValid = function (action) {
                return middleware_1.makeRefreshedListOnValidFormMiddleware(__assign({}, config, { action: action }));
            };
            var Effects_1;
            __decorate([
                redux_effects_promise_1.EffectsService.effects(action_builder_1.FormActionBuilder.buildValidActionType(listSection)),
                __metadata("design:type", Function),
                __metadata("design:paramtypes", [Object]),
                __metadata("design:returntype", Array)
            ], Effects.prototype, "$onFormValid", null);
            Effects = Effects_1 = __decorate([
                di_1.provideInSingleton(Effects_1)
            ], Effects);
            return Effects;
        }());
    };
};
//# sourceMappingURL=refreshed-list-on-valid-form-effects.proxy.js.map