"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var vue_property_decorator_1 = require("vue-property-decorator");
var util_1 = require("../../../util");
var vue_index_1 = require("../../connector/vue-index");
var vue_index_2 = require("../field/vue-index");
var vue_checkbox_interface_1 = require("./vue-checkbox.interface");
var VueCheckbox = /** @class */ (function (_super) {
    __extends(VueCheckbox, _super);
    /**
     * @stable [17.11.2018]
     */
    function VueCheckbox() {
        var _this = _super.call(this) || this;
        _this.onInputClick = _this.onInputClick.bind(_this);
        return _this;
    }
    /**
     * @stable [21.10.2018]
     * @param {VueCreateElementFactoryT} createElement
     * @returns {VueNodeT}
     */
    VueCheckbox.prototype.render = function (createElement) {
        return _super.prototype.render.call(this, createElement);
    };
    /**
     * @stable [17.11.2018]
     * @returns {string}
     */
    VueCheckbox.prototype.getFieldClassName = function () {
        return _super.prototype.getFieldClassName.call(this) + " vue-checkbox";
    };
    /**
     * @stable [30.01.2019]
     * @returns {string}
     */
    VueCheckbox.prototype.getInputWrapperClassName = function () {
        return util_1.toClassName(_super.prototype.getInputWrapperClassName.call(this), 'rac-flex-justify-content-center');
    };
    /**
     * @stable [17.11.2018]
     * @returns {boolean}
     */
    VueCheckbox.prototype.isInputWrapperFull = function () {
        return false;
    };
    /**
     * @stable [13.11.2018]
     * @returns {Partial<HTMLInputElement>}
     */
    VueCheckbox.prototype.getInputBindings = function () {
        return __assign({}, _super.prototype.getInputBindings.call(this), { checked: !!this.getValue() });
    };
    /**
     * @stable [17.11.2018]
     * @returns {IVueFieldInputListenersEntity}
     */
    VueCheckbox.prototype.getInputListeners = function () {
        return __assign({}, _super.prototype.getInputListeners.call(this), { click: this.onInputClick });
    };
    /**
     * @stable [17.11.2018]
     */
    VueCheckbox.prototype.onInputClick = function () {
        this.onChange(!this.getValue());
    };
    __decorate([
        vue_property_decorator_1.Prop({ default: function () { return false; } }),
        __metadata("design:type", Boolean)
    ], VueCheckbox.prototype, "floatLabel", void 0);
    __decorate([
        vue_property_decorator_1.Prop({ default: function () { return 'checkbox'; } }),
        __metadata("design:type", String)
    ], VueCheckbox.prototype, "type", void 0);
    VueCheckbox = __decorate([
        vue_index_1.ComponentName(vue_checkbox_interface_1.VUE_CHECKBOX_NAME),
        vue_property_decorator_1.Component,
        __metadata("design:paramtypes", [])
    ], VueCheckbox);
    return VueCheckbox;
}(vue_index_2.VueField));
//# sourceMappingURL=vue-checkbox.component.js.map