"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var checkbox_1 = require("../checkbox");
var Switch = /** @class */ (function (_super) {
    __extends(Switch, _super);
    function Switch() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [31.08.2018]
     * @returns {JSX.Element}
     */
    Switch.prototype.render = function () {
        return this.getWrapperElement(React.createElement(React.Fragment, null,
            React.createElement("div", { ref: 'self', className: this.getSelfElementClassName() },
                this.getAttachmentElement(),
                React.createElement("div", { className: this.uiFactory.switchInputWrapper },
                    React.createElement("div", { className: this.uiFactory.switchInputWrapperBody }, this.getInputElement()))),
            this.getLabelElement()));
    };
    /**
     * @stable [31.08.2018]
     * @returns {ISwitchInputProps}
     */
    Switch.prototype.getInputElementProps = function () {
        return __assign({}, _super.prototype.getInputElementProps.call(this), { className: this.uiFactory.switchInput });
    };
    /**
     * @stable [31.08.2018]
     * @returns {string}
     */
    Switch.prototype.getFieldClassName = function () {
        return util_1.toClassName(_super.prototype.getFieldClassName.call(this), 'rac-switch');
    };
    /**
     * @stable [31.08.2018]
     * @returns {JSX.Element}
     */
    Switch.prototype.getSelfElementClassName = function () {
        return util_1.toClassName(this.uiFactory.switch, 'rac-switch-field');
    };
    /**
     * @stable [31.08.2018]
     * @returns {JSX.Element}
     */
    Switch.prototype.getAttachmentElement = function () {
        return this.uiFactory.makeSwitchAttachment();
    };
    return Switch;
}(checkbox_1.BaseCheckbox));
exports.Switch = Switch;
//# sourceMappingURL=switch.component.js.map