"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var permissions_interface_1 = require("./permissions.interface");
var PermissionsActionBuilder = /** @class */ (function () {
    function PermissionsActionBuilder() {
    }
    PermissionsActionBuilder.buildUpdateAction = function (data) {
        return redux_effects_promise_1.EffectsAction.create(permissions_interface_1.PERMISSIONS_UPDATE_ACTION_TYPE, data);
    };
    PermissionsActionBuilder.buildDestroyAction = function () {
        return redux_effects_promise_1.EffectsAction.create(permissions_interface_1.PERMISSIONS_DESTROY_ACTION_TYPE);
    };
    return PermissionsActionBuilder;
}());
exports.PermissionsActionBuilder = PermissionsActionBuilder;
//# sourceMappingURL=permissions-action.builder.js.map