import { IStackEntity } from '../../entities-definitions.interface';
/**
 * @stable [18.09.2018]
 * @param {IStackEntity} stackEntity
 * @returns {string[][]}
 */
export declare const toGraphComponents: (stackEntity: IStackEntity) => string[][];
/**
 * @stable [18.09.2018]
 * @param {IStackEntity} stackEntity
 * @param {string} currentSection
 * @returns {Set<string>}
 */
export declare const toAllDependentSections: (stackEntity: IStackEntity, currentSection?: string) => Set<string>;
