"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
exports.mergeDeepLeftAndGetChanges = function (target, source) {
    var mergedEntity = R.mergeDeepLeft(target, source);
    if (!R.equals(mergedEntity, target)) {
        return R.pickBy(function (value, key) { return Reflect.has(source, key); }, mergedEntity);
    }
    return null;
};
exports.mergeDeepLeftAndGetEntity = function (target, source) {
    return exports.mergeDeepLeftAndGetChanges(target, source);
};
//# sourceMappingURL=merge.js.map